package io.gmss.fiscad.interfaces.rfu.metier;

import io.gmss.fiscad.entities.rfu.metier.Batiment;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface BatimentService {

    Batiment createBatiment(Batiment batiment) throws BadRequestException;

    Batiment updateBatiment(Long id, Batiment batiment) throws NotFoundException;

    void deleteBatiment(Long id) throws NotFoundException;

    Page<Batiment> getBatimentList(Pageable pageable);

    List<Batiment> getBatimentList();

    Optional<Batiment> getBatimentById(Long id);
}
